import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { Thickness } from "igniteui-react-core/ES2015/Thickness";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-react-core/ES2015/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
/**
 * @hidden
 */
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected mw: FinalValueLayerView;
    my: Series;
    mx: FinalValueSelectionMode;
    ny: Brush;
    nw: Brush;
    m7: number;
    nx: Brush;
    readonly n0: Thickness;
    m3: number;
    m5: number;
    m4: number;
    m2: number;
    axisAnnotationFormatLabel: (item: any) => string;
    mz(): boolean;
    m6: number;
    protected mc(a: Series, b: boolean): void;
    protected me(a: Frame, b: SeriesView): void;
    protected lz(a: Series): boolean;
    ig(): void;
    private nz;
    private nj;
    private m1;
    private m0;
    protected nk(a: FinalValueLayerFrame, b: boolean): void;
    protected mh(a: Frame, b: SeriesView): void;
    protected c7(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b1: FinalValueLayer;
    ap(): void;
    b2(a: Brush): Brush;
    ai(a: any): void;
}
